=== sdb_tests/tuxadmin/Makefile ===
# Copyright (c) 2009-2011 Centro Svizzero di Calcolo Scientifico (CSCS)
# Licensed under the GPLv2.
MAIN = tuxadmin.c list_all_torus_positions.c test_hilbert_inverse.c
OBJS = cmdline.o

all: check

include ../build.mk

CFLAGS	+= -I.
LDLIBS  += -lexpat

check: check-tuxadmin check-hilbert-inverse

check-tuxadmin: tuxadmin
	./$< -h

check-hilbert-inverse: test_hilbert_inverse
	./$< >/dev/null

tuxadmin.c: cmdline.h
cmdline.o : cmdline.c cmdline.h 
	$(CC) -Wall -c $< -o $@

cmdline.h cmdline.c: arguments.ggo
	gengetopt < $<

install: tuxadmin
	@strip $<
	sudo scp $< boot:/rr/current/opt/slurm/default/bin/$<

distclean: clean
	@$(RM) cmdline.c cmdline.h
	@rcsclean
