=== debian/changelog ===
slurm-wlm (23.11.4-1.2ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:45:33 +1100

slurm-wlm (23.11.4-1.2ubuntu4) noble; urgency=medium

  * Remove debian/plugin_packages*filelist, which are also generated files
    and cause a misbuild on !amd64.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 24 Mar 2024 05:30:27 +0000

slurm-wlm (23.11.4-1.2ubuntu3) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:02:59 +0000

slurm-wlm (23.11.4-1.2ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:39:46 +0000

slurm-wlm (23.11.4-1.2ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/t/control: Mark sbatch DEP-8 test as flaky (LP: #2028073)
    - Mark one symbol disappeared with new glibc as optional

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 04 Mar 2024 09:26:57 +0100

slurm-wlm (23.11.4-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove extraneous files from debian that are not handled by the package
    clean target, and caused build failures on !amd64.  Closes: #1065225.

 -- Steve Langasek <vorlon@debian.org>  Sun, 03 Mar 2024 20:11:29 +0000

slurm-wlm (23.11.4-1.1ubuntu2) noble; urgency=medium

  * No-change rebuild for libtirpc t64.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Mar 2024 05:38:10 +0100

slurm-wlm (23.11.4-1.1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/t/control: Mark sbatch DEP-8 test as flaky (LP: #2028073)
    - Mark one symbol disappeared with new glibc as optional

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Mar 2024 12:12:54 +0100

slurm-wlm (23.11.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062903

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 16:19:10 +0000

slurm-wlm (23.11.4-1) unstable; urgency=medium

  * New upstream release
  * Remove debian sackd man page
  * Remove fix-typos patch

 -- Gennaro Oliva <oliva@debian.org>  Sun, 25 Feb 2024 22:26:05 +0100
