=== debian/control ===
Source: slurm-wlm
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
Uploaders: Rémi Palancher <remi@rezib.org>,
           Mehdi Dogguy <mehdi@debian.org>,
           Gennaro Oliva <oliva@debian.org>,
Build-Depends: dpkg-dev (>= 1.22.5),
 debhelper (>= 13),
 libmunge-dev,
 libncurses-dev,
 po-debconf,
 python3,
 libgtk2.0-dev,
 default-libmysqlclient-dev,
 libpam0g-dev,
 libperl-dev,
 chrpath,
 libpam0g-dev,
 liblua5.1-0-dev,
 libhwloc-dev,
 dh-exec,
 librrd-dev,
 libipmimonitoring-dev,
 hdf5-helpers,
 libfreeipmi-dev,
 libhdf5-dev,
 man2html,
 libcurl4-openssl-dev,
 libpmix-dev,
 libhttp-parser-dev,
 libyaml-dev,
 libjson-c-dev,
 libjwt-dev,
 liblz4-dev,
 bash-completion,
 libdbus-1-dev,
 librdkafka-dev,
 librocm-smi-dev
Standards-Version: 4.6.2
Homepage: http://slurm.schedmd.com
Vcs-Browser: https://salsa.debian.org/hpc-team/slurm-wlm
Vcs-Git: https://salsa.debian.org/hpc-team/slurm-wlm.git

Package: slurm-wlm
Architecture: any
Depends:
 ${misc:Depends},
 slurmd (= ${binary:Version}),
 slurmctld (= ${binary:Version}),
 slurm-client (= ${binary:Version})
Description: Slurm Workload Manager
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This metapackage contains all client side commands, the compute node daemon
 and the central management daemon.

Package: slurm-client
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-wlm-basic-plugins (= ${binary:Version}),
 munge,
 ucf
Conflicts: sinfo (<< 0.0.47-4)
Description: Slurm client side commands
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This package contains all client side commands.

Package: slurmrestd
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Slurm REST API daemon
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This package contains the REST API daemon slurmrestd.

Package: slurmd
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-wlm-basic-plugins (= ${binary:Version}),
 ucf,
 munge,
Pre-Depends: ${misc:Pre-Depends}
Description: Slurm compute node daemon
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This package contains the compute node daemon slurmd.

Package: slurmctld
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-client (= ${binary:Version}),
 slurm-wlm-basic-plugins (= ${binary:Version}),
 ucf,
 munge,
Pre-Depends: ${misc:Pre-Depends}
Description: Slurm central management daemon
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This package contains the central management daemon slurmctld.

Package: libslurm40t64
Provides: ${t64:Provides}
Replaces: libslurm40
Breaks: libslurm40 (<< ${source:Version})
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Runtime library files for Slurm
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This package contains the Slurm runtime library.

Package: libpmi0t64
Provides: ${t64:Provides}
Replaces: libpmi0
Breaks: libpmi0 (<< ${source:Version})
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, slurm-wlm-basic-plugins (= ${binary:Version}),
Description: Slurm PMI library implementation
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This package contains the Slurm PMI runtime implementation.

Package: libpmi2-0t64
Provides: ${t64:Provides}
Replaces: libpmi2-0
Breaks: libpmi2-0 (<< ${source:Version})
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Slurm PMI2 library implementation
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This package contains the Slurm PMI2 runtime implementation.

Package: libslurm-dev
Section: libdevel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libslurm40t64 (= ${binary:Version})
Conflicts: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
Breaks: libslurmdb-dev
Replaces: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev, libslurmdb-dev
Description: Slurm development files
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This package contains Slurm static library and header files.

Package: libpmi0-dev
Section: libdevel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libpmi0t64 (= ${binary:Version}),
 libslurm40t64 (= ${binary:Version})
Description: Slurm PMI library implementation development files
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This package contains the Slurm PMI implementation static library and header
 files

Package: libpmi2-0-dev
Section: libdevel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libpmi2-0t64 (= ${binary:Version}),
 libslurm40t64 (= ${binary:Version})
Description: Slurm PMI2 library implementation development files
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This package contains the Slurm PMI2 implementation static library and header
 files

Package: slurm-wlm-doc
Section: doc
Architecture: all
Depends:
 libjs-jquery,
 ${shlibs:Depends},
 ${misc:Depends}
Description: Slurm documentation
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This package contains the Slurm html documentation.

Package: slurm-wlm-basic-plugins
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 adduser
Recommends: slurm-wlm-plugins (= ${binary:Version}),
Description: Slurm basic plugins
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This package contains the Slurm basic plugins

Package: slurm-wlm-basic-plugins-dev
Section: devel
Architecture: any
Recommends: slurm-wlm-plugins-dev (= ${binary:Version}),
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-wlm-basic-plugins (= ${binary:Version})
Description: Slurm basic plugins development files
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This package contains development files for the Slurm basic plugins

Package: slurm-wlm-plugins
Architecture: any
Depends:
 slurm-wlm-basic-plugins (= ${binary:Version}),
 slurm-wlm-elasticsearch-plugin (= ${binary:Version}),
 slurm-wlm-hdf5-plugin (= ${binary:Version}),
 slurm-wlm-influxdb-plugin (= ${binary:Version}),
 slurm-wlm-ipmi-plugins (= ${binary:Version}),
 slurm-wlm-jwt-plugin (= ${binary:Version}),
 slurm-wlm-rrd-plugin (= ${binary:Version}),
 slurm-wlm-mysql-plugin-dev (= ${binary:Version}),
 slurm-wlm-rsmi-plugin (= ${binary:Version}),
 ${misc:Depends},
Description: Slurm free plugins (metapackage)
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This package provides all the free Slurm plugins.

Package: slurm-wlm-plugins-dev
Architecture: any
Depends:
 slurm-wlm-basic-plugins-dev (= ${binary:Version}),
 slurm-wlm-elasticsearch-plugin-dev (= ${binary:Version}),
 slurm-wlm-hdf5-plugin-dev (= ${binary:Version}),
 slurm-wlm-influxdb-plugin-dev (= ${binary:Version}),
 slurm-wlm-ipmi-plugins-dev (= ${binary:Version}),
 slurm-wlm-jwt-plugin-dev (= ${binary:Version}),
 slurm-wlm-rrd-plugin-dev (= ${binary:Version}),
 slurm-wlm-mysql-plugin-dev (= ${binary:Version}),
 slurm-wlm-rsmi-plugin-dev (= ${binary:Version}),
 ${misc:Depends},
Description: Slurm free plugins development files (metapackage)
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This package provides development files for all the free SLURM plugins.

Package: slurm-wlm-ipmi-plugins
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-wlm-basic-plugins (= ${binary:Version})
Breaks: slurm-wlm-basic-plugins (<< 22.05.7-1)
Replaces: slurm-wlm-basic-plugins (<< 22.05.7-1)
Description: Slurm IPMI plugins
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 .
 This package contains the IPMI-based Slurm accounting gathering
 plugins.

Package: slurm-wlm-ipmi-plugins-dev
Section: devel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-wlm-basic-plugins-dev (= ${binary:Version}),
 slurm-wlm-ipmi-plugins (= ${binary:Version})
Breaks: slurm-wlm-basic-plugins-dev (<< 22.05.7-1)
Replaces: slurm-wlm-basic-plugins-dev (<< 22.05.7-1)
Description: Slurm IPMI plugins development files
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 .
 This package contains development files for the IPMI-based Slurm
 accounting gathering plugins.

Package: slurm-wlm-hdf5-plugin
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-wlm-basic-plugins (= ${binary:Version})
Breaks: slurm-wlm-basic-plugins (<< 22.05.7-1), slurm-client (<< 22.05.7-1)
Replaces: slurm-wlm-basic-plugins (<< 22.05.7-1), slurm-client (<< 22.05.7-1)
Description: Slurm HDF5 plugin
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 .
 This package contains the HDF5-based Slurm job profiling plugin.

Package: slurm-wlm-hdf5-plugin-dev
Section: devel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-wlm-basic-plugins-dev (= ${binary:Version}),
 slurm-wlm-hdf5-plugin (= ${binary:Version})
Breaks: slurm-wlm-basic-plugins-dev (<< 22.05.7-1)
Replaces: slurm-wlm-basic-plugins-dev (<< 22.05.7-1)
Description: Slurm HDF5 plugin development files
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
