## slurm-wlm 23.11.7

=== debian/changelog ===
slurm-wlm (23.11.7-1) unstable; urgency=medium

  * New upstream release
  * Bump standard version to 4.7.0 (no changes)
  * Update libslurm symbols file
  * Refresh miscellanea-manpages patch

 -- Gennaro Oliva <oliva@debian.org>  Wed, 22 May 2024 22:39:00 +0200

slurm-wlm (23.11.6-1) unstable; urgency=medium

  [ Gennaro Oliva ]
  * New upstream release
  * Update libslurm symbols file (Closes: #1070898)
  * Send SIGUSR2 to daemon in postrotate
  * Set delaycompress for logrotates (Closes: #1056122)
  * Add libpmix2 dependency for basic plugin (Closes: #1059711)

  [ Benjamin Drung ]
  * Restore /etc/slurm/plugstack.conf in slurm-wlm-basic-plugins.
  Make the build more robust by always generating
  `slurm-wlm-basic-plugins.install` from scratch. Restore
  `/etc/slurm/plugstack.conf` by putting it into a `.install.in` file that
  is copied into the `.install` file in the beginning.

  [ Michael Biebl ]
  * Drop libpam dev packages
  * Install PAM modules into multiarch path in /usr (Closes: #1064109)

 -- Gennaro Oliva <oliva@debian.org>  Thu, 09 May 2024 23:27:28 +0200

slurm-wlm (23.11.4-2) unstable; urgency=medium

  * Team upload.
  * d/clean: remove debian/plugin_packages{_dev_,_}filelist
    and remove them from our VCS & source package as well.
    Closes: #1069724.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 30 Apr 2024 15:35:55 +0200

slurm-wlm (23.11.4-1.4) unstable; urgency=medium

  * Non-maintainer upload
  * Remove references to --with-pmix on 32-bit archs

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 04 Apr 2024 09:58:28 +0100

slurm-wlm (23.11.4-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Only use libpmix on 64-bit architectures.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 04 Apr 2024 08:10:37 +0100
