=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: slurm-wlm
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
+Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
 Uploaders: Rémi Palancher <remi@rezib.org>,
            Mehdi Dogguy <mehdi@debian.org>,
            Gennaro Oliva <oliva@debian.org>,
@@ -28,7 +27,7 @@
  libhdf5-dev,
  man2html,
  libcurl4-openssl-dev,
- libpmix-dev,
+ libpmix-dev [amd64 arm64 mips64el ppc64el riscv64 s390x alpha ia64 loong64 ppc64 sparc64],
  libhttp-parser-dev,
  libyaml-dev,
  libjson-c-dev,
@@ -38,7 +37,7 @@
  libdbus-1-dev,
  librdkafka-dev,
  librocm-smi-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: http://slurm.schedmd.com
 Vcs-Browser: https://salsa.debian.org/hpc-team/slurm-wlm
 Vcs-Git: https://salsa.debian.org/hpc-team/slurm-wlm.git
@@ -220,6 +219,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
+ libpmix2t64,
  adduser
 Recommends: slurm-wlm-plugins (= ${binary:Version}),
 Description: Slurm basic plugins
@@ -341,4 +341,3 @@
 Replaces: slurm-wlm-basic-plugins-dev (<< 22.05.7-1)
 Description: Slurm HDF5 plugin development files
  The Slurm Workload Manager is an open-source cluster resource management and
- job scheduling system that strives to be simple, scalable, portable,
