## slurm-wlm 24.05.1

=== debian/changelog ===
slurm-wlm (24.05.1-2) unstable; urgency=medium

  * Specify not-installed entries with wildcards

 -- Gennaro Oliva <oliva@debian.org>  Tue, 23 Jul 2024 11:43:19 +0200

slurm-wlm (24.05.1-1) unstable; urgency=medium

  * New upstream major release
  * Fix typos
  * Fix libpmix2t64 dependency (Closes: #1074384)
  * Bump SONAME to 41 and update symbols
  * Fix libslurm-perl package
  * Remove smd_ns.h from libslurm-dev
  * Update copyright
  * Remove ext_sensors/rrd plugin
  * Refresh patches

 -- Gennaro Oliva <oliva@debian.org>  Mon, 22 Jul 2024 09:14:39 +0200
