## slurm-wlm 24.05.2

=== debian/changelog ===
slurm-wlm (24.05.2-1) unstable; urgency=medium

  * New upstream release

 -- Gennaro Oliva <oliva@debian.org>  Sat, 03 Aug 2024 05:05:50 +0200
