## slurm-wlm 24.11.0

=== debian/changelog ===
slurm-wlm (24.11.0-2) unstable; urgency=medium

  * Source only upload for testing

 -- Gennaro Oliva <oliva@debian.org>  Tue, 24 Dec 2024 08:15:02 +0100

slurm-wlm (24.11.0-1) unstable; urgency=medium

  * New upstream release
  * Bump SONAME to 42 and update symbols
  * Remove useless Replaces/Breaks libslurm41
  * Refresh patches
  * Add sackd.default (Closes: #1087927)
  * Update copyright
  * Fix so perms to allow rootless builds (Closes: #1089437)

 -- Gennaro Oliva <oliva@debian.org>  Sun, 15 Dec 2024 01:43:53 +0100
