=== debian/control ===
--- 
+++ 
@@ -112,10 +112,8 @@
  fault-tolerant, and interconnect agnostic.
  This package contains the central management daemon slurmctld.
 
-Package: libslurm41t64
+Package: libslurm42t64
 Provides: ${t64:Provides}
-Replaces: libslurm41
-Breaks: libslurm41 (<< ${source:Version})
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -160,7 +158,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libslurm41t64 (= ${binary:Version})
+ libslurm42t64 (= ${binary:Version})
 Conflicts: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
 Breaks: libslurmdb-dev
 Replaces: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev, libslurmdb-dev
@@ -177,7 +175,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  libpmi0t64 (= ${binary:Version}),
- libslurm41t64 (= ${binary:Version})
+ libslurm42t64 (= ${binary:Version})
 Description: Slurm PMI library implementation development files
  The Slurm Workload Manager is an open-source cluster resource management and
  job scheduling system that strives to be simple, scalable, portable,
@@ -192,7 +190,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  libpmi2-0t64 (= ${binary:Version}),
- libslurm41t64 (= ${binary:Version})
+ libslurm42t64 (= ${binary:Version})
 Description: Slurm PMI2 library implementation development files
  The Slurm Workload Manager is an open-source cluster resource management and
  job scheduling system that strives to be simple, scalable, portable,
@@ -339,3 +337,5 @@
 Description: Slurm HDF5 plugin development files
  The Slurm Workload Manager is an open-source cluster resource management and
  job scheduling system that strives to be simple, scalable, portable,
+ fault-tolerant, and interconnect agnostic.
+ .
