## slurm-wlm 24.11.1

=== debian/changelog ===
slurm-wlm (24.11.1-1) unstable; urgency=medium

  * New upstream release

  [ Tobias Pape ]
  * Fix plugin dependencies

 -- Gennaro Oliva <oliva@debian.org>  Wed, 29 Jan 2025 22:09:47 +0100
