=== debian/control ===
--- 
+++ 
@@ -36,7 +36,7 @@
  libdbus-1-dev,
  librdkafka-dev,
  librocm-smi-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: http://slurm.schedmd.com
 Vcs-Browser: https://salsa.debian.org/hpc-team/slurm-wlm
 Vcs-Git: https://salsa.debian.org/hpc-team/slurm-wlm.git
