## slurm-wlm 24.11.5

=== debian/changelog ===
slurm-wlm (24.11.5-4) unstable; urgency=medium

  * Move adduser to postinst

 -- Gennaro Oliva <oliva@debian.org>  Sun, 13 Jul 2025 19:39:23 +0200

slurm-wlm (24.11.5-3) unstable; urgency=medium

  [ Gábor Németh ]
  * Fix preinst adduser (Closes: #1104573)

 -- Gennaro Oliva <oliva@debian.org>  Fri, 27 Jun 2025 14:36:03 +0200

slurm-wlm (24.11.5-2) unstable; urgency=medium

  * Binary upload for contrib

 -- Gennaro Oliva <oliva@debian.org>  Fri, 13 Jun 2025 08:21:08 +0200

slurm-wlm (24.11.5-1) unstable; urgency=medium

  * New upstream release fix CVE-2025-4390 (Closes: #1104929)

 -- Gennaro Oliva <oliva@debian.org>  Tue, 20 May 2025 10:30:14 +0200
