=== debian/control ===
--- 
+++ 
@@ -213,11 +213,12 @@
 
 Package: slurm-wlm-basic-plugins
 Architecture: any
-Depends:
- ${shlibs:Depends},
- ${misc:Depends},
- libpmix2t64 [amd64 arm64 mips64el ppc64el riscv64 s390x alpha ia64 loong64 ppc64 sparc64],
- adduser
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ adduser | systemd-sysusers,
+ libpmix2t64 [amd64 arm64 mips64el ppc64el riscv64 s390x alpha ia64 loong64 ppc64 sparc64]
 Recommends: slurm-wlm-plugins (= ${binary:Version}),
 Description: Slurm basic plugins
  The Slurm Workload Manager is an open-source cluster resource management and
@@ -337,5 +338,3 @@
 Description: Slurm HDF5 plugin development files
  The Slurm Workload Manager is an open-source cluster resource management and
  job scheduling system that strives to be simple, scalable, portable,
- fault-tolerant, and interconnect agnostic.
- .
