=== debian/rules ===
--- 
+++ 
@@ -47,6 +47,7 @@
 
 override_dh_auto_install:
 	dh_auto_install
+	dh_installsysusers # needed until DH compat 14
 	
 	# Rename slurm(1) manpage before dh_installman run. It is not possible
 	# to rename manpages in debian/*.manpages so hardcore `mv` is done here
@@ -152,4 +153,3 @@
 	dh_strip -pslurm-wlm-kafka-plugin
 	dh_strip -psackd
 	dh_strip -pslurm-client --dbgsym-migration='slurm-client-dbg (<< 17.02.6~)'
-	dh_strip -pslurmd --dbgsym-migration='slurmd-dbg (<< 17.02.6~)'
