=== debian/tests/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 Tests: sbatch
 Features: no-build-needed,isolation-container
-Restrictions: needs-root, flaky
+Restrictions: needs-root
 Depends: slurmctld, slurmd, slurm-client
 
 Tests: sacct
@@ -17,3 +17,4 @@
 Features: no-build-needed,isolation-container
 Restrictions: needs-root, allow-stderr
 Depends: slurmctld, slurmd, slurm-client, mpi-default-dev, gcc, mpich-doc
+Architecture: amd64 arm64 mips64el ppc64el riscv64 s390x alpha ia64 loong64 ppc64 sparc64
