## slurm-wlm 25.05.4

=== debian/changelog ===
slurm-wlm (25.05.4-1) unstable; urgency=medium

  * New upstream major release
  * Bump libslurm to soname 43
  * Update d/copyright
  * Remove patches added upstream
  * Refresh patches
  * Update slurm-wlm docs
  * Add topology.yaml manpage
  * Update emulator lintian overrides
  * Remove d/compat
  * Fix sackd.8 manpage
  * Update lintian-overrides
  * Update d/watch file to version 5
  * Use mpirun and not srun pmix to test mpi

 -- Gennaro Oliva <oliva@debian.org>  Mon, 27 Oct 2025 00:52:20 +0100
