=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
            Gennaro Oliva <oliva@debian.org>,
 Build-Depends: dpkg-dev (>= 1.22.5),
  debhelper (>= 13),
+ debhelper-compat (= 13),
  libmunge-dev,
  libncurses-dev,
  po-debconf,
@@ -112,7 +113,7 @@
  fault-tolerant, and interconnect agnostic.
  This package contains the central management daemon slurmctld.
 
-Package: libslurm42t64
+Package: libslurm43t64
 Provides: ${t64:Provides}
 Section: libs
 Architecture: any
@@ -158,7 +159,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libslurm42t64 (= ${binary:Version})
+ libslurm43t64 (= ${binary:Version})
 Conflicts: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
 Breaks: libslurmdb-dev
 Replaces: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev, libslurmdb-dev
@@ -175,7 +176,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  libpmi0t64 (= ${binary:Version}),
- libslurm42t64 (= ${binary:Version})
+ libslurm43t64 (= ${binary:Version})
 Description: Slurm PMI library implementation development files
  The Slurm Workload Manager is an open-source cluster resource management and
  job scheduling system that strives to be simple, scalable, portable,
@@ -190,7 +191,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  libpmi2-0t64 (= ${binary:Version}),
- libslurm42t64 (= ${binary:Version})
+ libslurm43t64 (= ${binary:Version})
 Description: Slurm PMI2 library implementation development files
  The Slurm Workload Manager is an open-source cluster resource management and
  job scheduling system that strives to be simple, scalable, portable,
@@ -217,7 +218,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- adduser | systemd-sysusers,
+ systemd-sysusers | adduser,
  libpmix2t64 [amd64 arm64 mips64el ppc64el riscv64 s390x alpha ia64 loong64 ppc64 sparc64]
 Recommends: slurm-wlm-plugins (= ${binary:Version}),
 Description: Slurm basic plugins
