=== debian/watch ===
Version: 5
Source: https://github.com/SchedMD/slurm/tags
Matching-Pattern: .*/slurm-([\d-]*)\.tar\.gz
Uversion-Mangle: s/-1$//;s/\-/./g
